/* Includes for XEOL.C
   XEOL.H v1.0
   (c)1996, Jonas Skendelis. All rights reserved.
   Any portion of this text can be used as sample, only.
   No commercial use. ANY!
   Any portion of source or documentation text or executables
   cannot be changed without permision of the author.
*/

/* To define IO buffers size (must be <= 0xFF00) */
#define maxbufsize 0xF800

/* To define OS's flags and defaults */
#define ANY_UNIX_CASE  0x0001
#define SCO_UNIX_CASE  0x0001
#define HP_UX_CASE     0x0003
/* 0x0004 - reserved */
#define MSDOS_CASE     0x0008
#define OS2_CASE       0x0008
#define MAC_OS_CASE    0x0010


/* Defining defaults */
#define defSourceOS HP_UX_CASE
#define defTargetOS MSDOS_CASE

/* Define default code tables. Posible values:
   CP_UNIX_BALTIC_RIM, CP_MAC_Respublic, CP_KBL, CP_RST, CP_772_774
   WIN_LSPEC0, WIN_LSPEC_MIX, WIN_LEMA, WIN_TILDE, WIN_SIGMA, LTH_Diplomat
*/

/* Globals defaults for code tables */
#define defSourceCP CP_UNIX_BALTIC_RIM
#define defTargetCP CP_KBL


#define defCyrSourceCP DOS_RUS
#define defCyrTargetCP DOS_RUS

/* Default values for each platform */
#define defDOSCP  CP_KBL
#define defMACCP  CP_MAC_Respublic
#define defUNIXCP CP_UNIX_BALTIC_RIM

/* Control chars codes */
#define BACKSPACE_CHAR 8
#define TAB_CHAR       9
#define LF_CHAR       10
#define CR_CHAR       13
#define BLANK_CHAR    32

/* Some constants & types */
#define FALSE 0
#define TRUE  1

typedef unsigned short int BOOL;
typedef unsigned short int WORD;
